Subject: [Sip] SIP Identity and RFC 3893

From: "Francois Audet" <[email-masked]>
Date: Wed, 19 Apr 2006 12:34:59 -0500

Jon,

Does sip-identity-06 make RFC 3893 (the AIB format for S/MIME) obsolete?

Sip-identity is remarkably silent about RFC 3893. It sorts of hints in the 
introduction that sip-identity is an alternative to S/MIME, but it is not
very specific.

The changelog (which will be removed upon publication) sheds a bit of light
on the history behind this (i.e., in -01 we switched from AIB to new header).

Should RFC 3893 (which is currently "Standards Track") be deprecated 
(moved to historical or whatever)? I'm kind of worried about developper 
confusion between sip-identity and RFC 3893.

Also, to add a little more confusion to this, there is "normative" reference
to RFC 3893 in sip-identity which, it seems to me, should be "informative".

----
François AUDET, Nortel Networks
mailto:[email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Thu, 20 Apr 2006 11:37:04 +0100

Note that RFC 3893 (AIB) is a normative reference of RFC 3892 (Referred-By). Additionally RFC 3893 is an informative reference from RFC 3911 (Join), but given the context in which it appears, I am not sure why it is only informative.

regards

Keith

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]]
> Sent: 19 April 2006 18:35
> To: [email-masked]; [email-masked]
> Subject: [Sip] SIP Identity and RFC 3893
> 
> 
> Jon,
>